Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.testing.unit
Class DeadGroup

    java.lang.Object
      things.testing.unit.TestGroup
          things.testing.unit.DeadGroup

    public class DeadGroup

extends TestGroup

This is a dead test implementation. It's used to represent tests that would not load.

Version:
  1.0

  Version History

      EPG - Initial - 19 JUN 05

Author:
  Erich P. Gatejen

Field Summary

Fields inherited from class things.testing.unit.TestGroup
`abort, exception, fail, groupLongName, groupName, inconclusive, logger, pass, properties, result, runnerName, time, total, totalSize`

Method Summary
`java.lang.String` | `getClassName()` Get the class name for the declared test.
`void` | `group_execute()` Run the test.
`void` | `group_prepare()` prepare for the test.

Methods inherited from class things.testing.unit.TestGroup
`DECLAREGROUP, DECLARETEST, execute, getLongName, getName, prepare, RUN, RUNGROUP, SET_LONG_NAME, SET_THROW_ABORTS, SET_THROW_FAILS, THE_BUCK_STOPS_HERE`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### group_prepare

    public void group_prepare()
                       throws java.lang.Throwable

  prepare for the test. Overload this with the test implementation.

  Specified by:
    `group_prepare` in class `TestGroup`
  Throws:
    `java.lang.Throwable`

### group_execute

    public void group_execute()
                       throws java.lang.Throwable

  Run the test. Overload this with the test implementation.

  Specified by:
    `group_execute` in class `TestGroup`
  Throws:
    `java.lang.Throwable`

### getClassName

    public java.lang.String getClassName()

  Get the class name for the declared test.

  Returns:
    the class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.